# Uses of Interface
org.eclipse.gef.RootEditPart

Packages that use RootEditPart
Package
Description
org.eclipse.gef
All interfaces, base types, and the plugin class are here.
org.eclipse.gef.editparts
This package contains abstract implementation of the EditPart interface.
org.eclipse.gef.ui.parts

## Uses of RootEditPart in org.eclipse.gef

Methods in org.eclipse.gef that return RootEditPart
Modifier and Type
Method
Description
`RootEditPart`
EditPart.`getRoot()`
Returns the `RootEditPart`.
`RootEditPart`
EditPartViewer.`getRootEditPart()`
Returns the `RootEditPart`.
Methods in org.eclipse.gef with parameters of type RootEditPart
Modifier and Type
Method
Description
`void`
EditPartViewer.`setRootEditPart(RootEditPart root)`
Sets the root of this viewer.

## Uses of RootEditPart in org.eclipse.gef.editparts

Classes in org.eclipse.gef.editparts that implement RootEditPart
Modifier and Type
Class
Description
`class`
`FreeformGraphicalRootEditPart`
A graphical root that uses `FreeformFigures` as the layers in the diagram.
`class`
`GraphicalRootEditPart`
Deprecated.
this class will be deleted, use ScrollingGraphicalViewer with ScalableRootEditPart instead
`class`
`RootTreeEditPart`
The root editpart for a `TreeViewer`.
`class`
`ScalableFreeformRootEditPart`
Adds Zoom support to the standard FreeformGraphicalRootEditPart.
`class`
`ScalableRootEditPart`
A graphical root composed of regular `Layers`.
`class`
`SimpleRootEditPart`
Default implementation of RootEditPart for GraphicalViewers.
Methods in org.eclipse.gef.editparts that return RootEditPart
Modifier and Type
Method
Description
`RootEditPart`
AbstractEditPart.`getRoot()`
`RootEditPart`
GraphicalRootEditPart.`getRoot()`
Deprecated.
Returns `this`.
`RootEditPart`
RootTreeEditPart.`getRoot()`
Returns `this`.
`RootEditPart`
SimpleRootEditPart.`getRoot()`

## Uses of RootEditPart in org.eclipse.gef.ui.parts

Methods in org.eclipse.gef.ui.parts that return RootEditPart
Modifier and Type
Method
Description
`RootEditPart`
AbstractEditPartViewer.`getRootEditPart()`
Methods in org.eclipse.gef.ui.parts with parameters of type RootEditPart
Modifier and Type
Method
Description
`void`
AbstractEditPartViewer.`setRootEditPart(RootEditPart editpart)`
`void`
GraphicalViewerImpl.`setRootEditPart(RootEditPart editpart)`